# Einrichtung der Arduino IDE
1. *Arduino IDE* öffnen
2. *Datei* ⤳ *Vorseinstellungen* öffnen (`STRG+KOMMA`)
3. Bei *Zusätzliche Boardverwalter-URLs:* `http://www.leonardomiliani.com/repository/package_leonardomiliani.com_index.json` einfügen
4. *Werkzeuge* ⤳ *Board: ...* ⤳ *Boardverwalter...* öffnen
5. `ATmega168P/328P Boards` installieren

## Externe Clock

Low Fuse ändern:
```
-U lfuse:w:0xA0:m
``` 
* 0b.1...... CKOUT auf PBO (zeigt nun genutzten Takt)
* 0b..10.... Abwarten nach RESET, bevor Programm lädt
* 0b....0000 stellt auf externe Clock

## Externe Interrupts

**ACHTUNG!** Entgegen dem Datenblatt sind die INTERRUPT Pins wie folgend platziert:

* INT0 auf PD1 (PIN3)
* INT1 auf PD2 (PIN4)

### Links / Quellen

* [Dropbox]
* [AVR-GCC-Tutorial]
* [C Tutorial]
* [3rd party boards] - hier gibt es u.a. den Core für ATMega328P (`Atmega & Attiny cores`)



[Dropbox]: https://drive.google.com/drive/folders/0B8422JpEEf7VS2hSOFF1LXhOMUk "Dropbox von Prof. Wagner"
[AVR-GCC-Tutorial]: https://www.mikrocontroller.net/articles/AVR-GCC-Tutorial
[C Tutorial]: http://www.schellong.de/c.htm#ccc
[3rd party boards]: https://github.com/arduino/arduino/wiki/unofficial-list-of-3rd-party-boards-support-urls "Hier zu finden: Atmega & Attiny cores"